import { SimpleLocalIntegration } from '../../core/index.js';
import { VlcConfigFlow } from './vlc.classes.configflow.js';
import { createVlcDiscoveryDescriptor } from './vlc.discovery.js';
import type { IVlcConfig } from './vlc.types.js';
import { vlcDomain, vlcProfile } from './vlc.types.js';

export class VlcIntegration extends SimpleLocalIntegration<IVlcConfig> {
  public readonly domain = vlcDomain;
  public readonly discoveryDescriptor = createVlcDiscoveryDescriptor();
  public readonly configFlow = new VlcConfigFlow();

  constructor() {
    super(vlcProfile);
  }
}

export class HomeAssistantVlcIntegration extends VlcIntegration {}
